8086:0166 [MacBookAir5,2] External display stopped working

Bug #1165965 reported by Michael Paddon on 2013-04-08
74
This bug affects 14 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Medium
Unassigned

Bug Description

After upgrading to 13.04 beta, my external monitor is no longer detected/driven. This works perfectly under 12.10, and is therefore a major regression impacting common use cases.

When the Display Port/VGA adapter is plugged in dmesg reports 15 instances of:
    [drm:intel_dp_i2c_aux_ch] *ERROR* too many retries, giving up

Hardware: MacBook Air 2012
Display configuration: Apple Display Port to VGA adaptor
Ubuntu version: 13.04 beta.
---
ApportVersion: 2.9.2-0ubuntu5
Architecture: amd64
DistroRelease: Ubuntu 13.04
EcryptfsInUse: Yes
InstallationDate: Installed on 2012-07-24 (258 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MarkForUpload: True
Package: linux (not installed)
Tags: raring
Uname: Linux 3.9.0-030900rc6-generic x86_64
UnreportableReason: The running kernel is not an Ubuntu kernel
UpgradeStatus: Upgraded to raring on 2013-04-07 (2 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
---
ApportVersion: 2.12.5-0ubuntu2
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mwp 3892 F.... pulseaudio
DistroRelease: Ubuntu 13.10
EcryptfsInUse: Yes
InstallationDate: Installed on 2012-07-24 (453 days ago)
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release amd64 (20120425)
MachineType: Apple Inc. MacBookAir5,2
MarkForUpload: True
NonfreeKernelModules: wl
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.11.0-12-generic root=UUID=6556813f-c877-4988-bde5-24ac4ec74444 ro nointremap quiet splash i915.i915_enable_rc6=1 vt.handoff=7
ProcVersionSignature: Ubuntu 3.11.0-12.19-generic 3.11.3
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-12-generic N/A
 linux-backports-modules-3.11.0-12-generic N/A
 linux-firmware 1.116
Tags: saucy
Uname: Linux 3.11.0-12-generic x86_64
UpgradeStatus: Upgraded to saucy on 2013-10-21 (0 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 05/22/2012
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBA51.88Z.00EF.B00.1205221442
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-2E6FAB96566FE58C
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookAir5,2
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-2E6FAB96566FE58C
dmi.modalias: dmi:bvnAppleInc.:bvrMBA51.88Z.00EF.B00.1205221442:bd05/22/2012:svnAppleInc.:pnMacBookAir5,2:pvr1.0:rvnAppleInc.:rnMac-2E6FAB96566FE58C:rvrMacBookAir5,2:cvnAppleInc.:ct10:cvrMac-2E6FAB96566FE58C:
dmi.product.name: MacBookAir5,2
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

Michael Paddon (micfael) on 2013-04-08
description: updated

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1165965/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
affects: ubuntu → linux (Ubuntu)
tags: added: regression-release

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1165965

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0]. You will need to install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc6-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: raring

apport information

tags: added: apport-collected
description: updated

Tested as requested with lastest upstream kernel (3.9.0-030900rc6-generic). The bug is still there.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Michael Paddon (micfael) wrote :

Tested with other kernels. The last working kernel was 3.6.11-030611-generic.

Michael Paddon (micfael) wrote :

Reports of further experimentation, using kernel 3.8.0-25-generic.

Xrandr can see the resolution of my external display, but it shows as disconnected. For instance:

 I can get the external display to partially work by using xrandr. For instance:
$ xrandr
Screen 0: minimum 320 x 200, current 3360 x 1080, maximum 32767 x 32767
eDP1 connected 1440x900+1920+0 (normal left inverted right x axis y axis) 286mm x 179mm
   1440x900 59.8*+
   1360x768 59.8 60.0
   1152x864 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected 1920x1080+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1920x1080_60.00 60.0*
HDMI2 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)

I can enable the external monitor output with:
$ xrandr --output DP1 --mode 1920x1080_60.00 --left-of eDP1

This works but xrandr shows the display as still disconnected (exactly the same output as above). Consequently, Unity gets quite confused and windows, title bars and menus don't work as expected. Nevertheless, the underlying display driver seems to be operating correctly.

This suggests that the problem is in whichever software layer determines that the external display is "connected".

I'm using MacBook Pro and the external monitor is not detected anymore after upgrade to 13.04.

Hans-Peter Schadler (hps-abyle) wrote :

The same problem (external interface DP1 showing as disconnected, sometimes showing the resolutions) happens to me on my Macbook Air 4,2 since already Ubuntu 12.10. This affects also derivatives like Mint and also other distributions like Archlinux. From this I would conclude that it is a general problem with the kernel and/or Intel Xorg driver.

The problems depend a little bit on the external monitor that I am using: A normal 19'' LCD with VGA connector works sometimes (after rebooting, suspend/resume, disconnecting/reconnecting). A no-name LCD TV (also VGA connector) doesn't work even with trying all of the things that worked for the 19''. The problems seemed to be gotten worse with Ubuntu 13.04 in comparison with 12.10. With 12.10 I could also get the TV to work after playing around a little bit.
As I am using the Air to give talks, this is a major deal-breaker (as also projectors don't work anymore) and the only reason why I still have to boot Mac OS X (there everything works fine).

If i can help with logs or testing something, feel free to tell me.

Another thing: What I can do is force the monitor to some resolution. As Michael mentioned, the monitor is then switched on, but as xrandr still shows the monitor as disconnected, one can't really use it.

Kyle Kingsbury (aphyr) wrote :

Think this bug may also be affecting me on a second-gen Dell Sputnik (XPS13). Accidentally upgraded to 13.04, and DisplayPort support seems totally broken. Both gnome-control-center and xrandr claim DP1 is unconnected.

$ xrandr
Screen 0: minimum 320 x 200, current 1920 x 1080, maximum 32767 x 32767
eDP1 connected 1920x1080+0+0 (normal left inverted right x axis y axis) 294mm x 165mm
   1920x1080 60.0*+ 59.9 40.0
   1680x1050 60.0 59.9
   1600x1024 60.2
   1400x1050 60.0
   1280x1024 60.0
   1440x900 59.9
   1280x960 60.0
   1360x768 59.8 60.0
   1152x864 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 disconnected (normal left inverted right x axis y axis)

$ sudo lspci -v | grep -C 12 Graphics
00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])
 Subsystem: Dell Device 058b
 Flags: bus master, fast devsel, latency 0, IRQ 42
 Memory at d0000000 (64-bit, non-prefetchable) [size=4M]
 Memory at c0000000 (64-bit, prefetchable) [size=256M]
 I/O ports at 2000 [size=64]
 Expansion ROM at <unassigned> [disabled]
 Capabilities: [90] MSI: Enable+ Count=1/1 Maskable- 64bit-
 Capabilities: [d0] Power Management version 2
 Capabilities: [a4] PCI Advanced Features
 Kernel driver in use: i915

Leif Johansson (leifj) wrote :

Can confirm the same problem on 13.04

Michael Paddon, this bug was reported a while ago and there hasn't been any activity in it recently. We were wondering if this is still an issue? If so, could you please test for this with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ .

If it remains an issue, could you please run the following command in the development release from a Terminal (Applications->Accessories->Terminal), as it will automatically gather and attach updated debug information to this report:

apport-collect -p linux <replace-with-bug-number>

tags: added: needs-upstream-testing
tags: added: needs-kernel-logs
Changed in linux (Ubuntu):
status: Confirmed → Incomplete

ApportVersion: 2.9.2-0ubuntu8.4
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: shivakumar 2508 F.... pulseaudio
CurrentDmesg:
 [ 10.917802] Non-volatile memory driver v1.3
 [ 21.743146] applesmc: light sensor data length set to 10
 [ 202.273641] init: plymouth-stop pre-start process (3596) terminated with status 1
 [ 1605.682938] applesmc: send_byte(0x00, 0x0300) fail: 0x40
 [ 1605.682948] applesmc: LKSB: write data fail
DistroRelease: Ubuntu 13.04
InstallationDate: Installed on 2013-05-09 (116 days ago)
InstallationMedia: Ubuntu 13.04 "Raring Ringtail" - Release amd64 (20130424)
MachineType: Apple Inc. MacBookAir5,2
MarkForUpload: True
NonfreeKernelModules: wl
Package: linux (not installed)
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-30-generic root=UUID=c10e7b33-9ec9-4084-91f2-cadc623597b5 ro quiet splash i915.i915_enable_rc6=1 vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-30.44-generic 3.8.13.6
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-30-generic N/A
 linux-backports-modules-3.8.0-30-generic N/A
 linux-firmware 1.106
Tags: raring
Uname: Linux 3.8.0-30-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 05/22/2012
dmi.bios.vendor: Apple Inc.
dmi.bios.version: MBA51.88Z.00EF.B00.1205221442
dmi.board.asset.tag: Base Board Asset Tag#
dmi.board.name: Mac-2E6FAB96566FE58C
dmi.board.vendor: Apple Inc.
dmi.board.version: MacBookAir5,2
dmi.chassis.type: 10
dmi.chassis.vendor: Apple Inc.
dmi.chassis.version: Mac-2E6FAB96566FE58C
dmi.modalias: dmi:bvnAppleInc.:bvrMBA51.88Z.00EF.B00.1205221442:bd05/22/2012:svnAppleInc.:pnMacBookAir5,2:pvr1.0:rvnAppleInc.:rnMac-2E6FAB96566FE58C:rvrMacBookAir5,2:cvnAppleInc.:ct10:cvrMac-2E6FAB96566FE58C:
dmi.product.name: MacBookAir5,2
dmi.product.version: 1.0
dmi.sys.vendor: Apple Inc.

apport information

apport information

Shiva (gs-a-bits) wrote : CRDA.txt

apport information

apport information

apport information

Shiva (gs-a-bits) wrote : Lspci.txt

apport information

Shiva (gs-a-bits) wrote : Lsusb.txt

apport information

apport information

apport information

apport information

apport information

apport information

Shiva (gs-a-bits) wrote : RfKill.txt

apport information

Shiva (gs-a-bits) wrote : UdevDb.txt

apport information

apport information

apport information

Shiva, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documention in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

Guillaume Mandil (gmandil-x) wrote :

Hi community,

Is there any workaround this bug known ?

Guillaume Mandil, if you have a bug in Ubuntu, the Ubuntu Kernel team, Ubuntu Bug Control team, and Ubuntu Bug Squad would like you to please file a new report by executing the following in a terminal while booted into a Ubuntu repository kernel (not a mainline one) via:
ubuntu-bug linux

For more on this, please read the official Ubuntu documentation:
Ubuntu Bug Control and Ubuntu Bug Squad: https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue
Ubuntu Kernel Team: https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports
Ubuntu Community: https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report would delay your problem being addressed as quickly as possible.

No need exists to comment here at this time. After reading the above documention in it's entirety, if you have further questions, you are welcome to redirect them to the appropriate mailing list or forum via http://www.ubuntu.com/support/community/mailinglists , or you may contact me directly.

Thank you for your understanding.

summary: - External display stopped working on MacBook Air
+ External display stopped working
M Ali (m-ali-8) wrote :

I'm experiening the same in 12.04.03 with the Raring kernel and X server

filed a bug here with some possible workarounds:
https://bugs.launchpad.net/ubuntu/+source/linux-lts-raring/+bug/1242013

Michael Paddon (micfael) wrote :

Just upgraded to 13.10. Problem persists. Same symptoms.

Tried using Mir. The same problem only now the xrandr partial workaround doesn't work as well.

Michael Paddon (micfael) wrote :

Christopher M. Penalver: I note you write "not filing a new report would delay your problem being addressed as quickly as possible". As a metter of interest, how do you define "quickly as possible"?

tags: added: saucy
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Also affects me:
- Macbook Air Mid 2012
- xubuntu 13.10
- DisplayPort to DVi original Apple Adapter

Michael Paddon (micfael) wrote :

At the top of this page it says "This bug report will be marked for expiration in 59 days if no further activity occurs". Do not the ongoing reports that this bug continues to exist and affect people constitute activity?

Antonio Censi (accensi) wrote :

It seems that this problem is acked upstream:

https://bugs.freedesktop.org/show_bug.cgi?id=60263

There are some posts, from post #22 that show some progress in solving the problem, at least partially..

Fix also on DRM git
git://people.freedesktop.org/~danvet/drm

Michael Paddon, could you please test the latest upstream kernel available following https://wiki.ubuntu.com/KernelMainlineBuilds ? It will allow additional upstream developers to examine the issue. Please do not test the daily kernel folder, but the one all the way at the bottom. Once you've tested the upstream kernel, please comment on which kernel version specifically you tested. If this bug is fixed in the mainline kernel, please add the following tags:
kernel-fixed-upstream
kernel-fixed-upstream-VERSION-NUMBER

where VERSION-NUMBER is the version number of the kernel you tested. For example:
kernel-fixed-upstream-v3.12-rc6

This can be done by clicking on the yellow circle with a black pencil icon next to the word Tags located at the bottom of the bug description. As well, please remove the tag:
needs-upstream-testing

If the mainline kernel does not fix this bug, please add the following tags:
kernel-bug-exists-upstream
kernel-bug-exists-upstream-VERSION-NUMBER

As well, please remove the tag:
needs-upstream-testing

Once testing of the upstream kernel is complete, please mark this bug's Status as Confirmed. Please let us know your results. Thank you for your understanding.

tags: removed: needs-kernel-logs
M Ali (m-ali-8) wrote :

Hey guys,

Just FYI, I've found a workaround for this issue on 12.04.03 LTS. The fix involves installing kernel v3.12-rc6 suggested by Christopher. I had wireless and keyboard issues but they were minor fixes. See details in posts #6 & #7:
https://bugs.launchpad.net/ubuntu/+source/linux-lts-raring/+bug/1242013

My monitor is working with the DP to VGA, wifi and keyboard also work fine. Woo. I'll keep testing and post back any updates.

You should definitely try it to see if it fixes your issue too.

Antonio Censi (accensi) wrote :

Tested with kernel 3.11.5 from mailine.

accensi@ACC-MacBookAir:~$ uname -a
Linux ACC-MacBookAir 3.11.5-031105-generic #201310132235 SMP Mon Oct 14 02:35:52 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

It works ok.

accensi@ACC-MacBookAir:~$ xrandr -q
Screen 0: minimum 320 x 200, current 3286 x 1080, maximum 32767 x 32767
eDP1 connected 1366x768+0+0 (normal left inverted right x axis y axis) 256mm x 144mm
   1366x768 60.0*+
   1360x768 59.8 60.0
   1024x768 60.0
   800x600 60.3 56.2
   640x480 59.9
VGA1 disconnected (normal left inverted right x axis y axis)
HDMI1 disconnected (normal left inverted right x axis y axis)
DP1 connected 1920x1080+1366+0 (normal left inverted right x axis y axis) 477mm x 268mm
   1920x1080 60.0*+
   1680x1050 60.0
   1280x1024 75.0 60.0
   1152x864 75.0
   1024x768 75.1 60.0
   800x600 75.0 60.3
   640x480 75.0 60.0
   720x400 70.1
HDMI2 disconnected (normal left inverted right x axis y axis)
DP2 disconnected (normal left inverted right x axis y axis)
VIRTUAL1 disconnected (normal left inverted right x axis y axis)

DisplayPort is detected and there is no messages like "[drm:intel_dp_i2c_aux_ch] *ERROR* too many retries, giving up"

Probably 3.11.4 would work too, as upstream DRM changes related to error message above were applied on it:
drm/i915/dp: increase i2c-over-aux retry interval on AUX DEFER

Will complete other tests (on boot, after suspend, after hibernate, etc).

Thanks

Michael Paddon (micfael) wrote :

Testing with kernel 3.12.0-031200rc6-generic. Dual monitor now works again when using X11. Works sometimes with Mir, but experiences occasional GUI lockups (not surprising since Mir is not ready for prime time yet).

tags: added: kernel-fixed-upstream kernel-fixed-upstream-v3.12-rc6
removed: needs-upstream-testing
Michael Paddon (micfael) wrote :

Christopher M. Penalver, thanks for your assistance in resolving this issue.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
M Ali (m-ali-8) wrote :

Thanks all I've checked
mali@jupiter:~$ uname -a
Linux jupiter 3.11.5-031105-generic #201310132235 SMP Mon Oct 14 02:35:52 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

It works fine, no problems with VGA to DVI, as a bonus wifi and trackpad work without issue.

tags: added: needs-reverse-bisect

I can also confirm that it works more reliable with 3.12.0-031200rc6-generic (and 3.12.0-031200-generic), but it is still not perfect. I would have to ability to test it on two cases where it does not work. Both are beamers (different models, I have to check which one exactly) and both are connected over very long VGA cables.
This is still an annoying bug, at least there was some progress so that it started to work again for most monitors I tried. Now it would be nice to get it working on beamers too.

Can I do something to test this? I have checked the dmesg messages and there are no messages like
"[drm:intel_dp_i2c_aux_ch] *ERROR* too many retries, giving up"
what happened before kernel 3.12 (and maybe kernel 3.11.4). From xrandr output I noticed, that the DP1 connector is shown as disconnected and also no modes are shown (before kernel 3.12 there was sometimes a resolution of the external monitor detected).

Hans-Peter Schadler, in order to track your hardware, could you please file a new report via a terminal:
ubuntu-bug linux

summary: - External display stopped working
+ 8086:0166 [MacBookAir5,2] External display stopped working

Michael Paddon, could you please confirm this issue exists with the latest development release of Ubuntu? ISO images are available from http://cdimage.ubuntu.com/daily-live/current/ . If the issue remains, could you please just make a comment to this.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.